独闷闷网

 找回密码
 立即注册
搜索
查看: 707|回复: 0
收起左侧

[分享] keil不能用5.0或者4.12版本,只能用4.5版本,否则,Jlink不能下载stm32f407程序。

[复制链接]
发表于 2015-7-6 20:33:43 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
坚鸿-深圳:
为什么我用JlinK下载不了程序?我以前用Jlink下载stm32f103单片机都很正常的,现在烧录你们stm32f407的板子和例程,就烧录不进,是不是我哪里出了问题?

开发板厂家:
jlink v8?有没有升级固件?

坚鸿-深圳:
它好像提示升级了。


开发板厂家:
有没有进行升级?把jlink插拔下,拔掉后,重新接下。


坚鸿-深圳:
拔掉了,也插上了,但是没提示。之前第一次插上会提示,但是我已经点了“是”确认升级了。


开发板厂家:
现在下载是个什么情况,截个图我看下。

坚鸿-深圳:
好的。稍等,如下:
错1.jpg
错2.jpg
错3.jpg


开发板厂家:
keil设置有问题,你现在用的是keil5?


坚鸿-深圳:
对。就是你们给的keil5。我是直接打开你们的例程烧录的。



开发板厂家:
我忽略了一个问题,版本新也不一定好,这样吧,您还是安装keil4.50吧,因为keil5我们本来是更新到429上的,后来407也更了,不过407的demo都是用4.5调试的
稍等,我传4.5给你。

坚鸿-深圳:
好的。

开发板厂家:
keil 5和keil 4.5有些区别,还要安装pack。
keil 5不用删,再装个4.5就可以了。

坚鸿-深圳:
4.12可以吗?

开发板厂家:
不行,版本旧了。另外,你用keil5打开过的工程,退出时会提示保存,选择不保存,这样不会对原来的有影响,不然的话,就要重新把原光盘的程序截出来。


坚鸿-深圳:
现在用4.5版本的可以下载了。谢谢。


乐于分享,勇于质疑!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|独闷闷网 ( 粤ICP备12007667号-2 )

GMT+8, 2018-7-17 13:38 , Processed in 0.110541 second(s), 22 queries .

快速回复 返回顶部 返回列表